import { ReduxSelector } from '../../selector';
import { ReduxStateProviderConstructor } from '../../state/provider.constructor';
export declare class ReduxSelectorCacheFactory {
    private static selectors;
    static clear(): void;
    static getOrCreate<T>(selector: string, stateProvider?: ReduxStateProviderConstructor): ReduxSelector<T>;
    static get<T>(selector: string, stateProvider?: ReduxStateProviderConstructor): ReduxSelector<T>;
    static set(reduxSelector: ReduxSelector<{}>, selector: string, stateProvider?: ReduxStateProviderConstructor): void;
    static has(selector: string, stateProvider?: ReduxStateProviderConstructor): boolean;
    private static getKey(selector, stateProvider?);
}
